RNAPDIST(l)

NAME
RNApaln - RNA alignment based on sequence base pairing propensities

SYNOPSIS
RNApaln [-Xp|m|f|c] [-B [file]] [--gapo open] [--gape ext] [--seqw w] [--endgaps] [-T temp] [-4] [-d] [-noGU] [-noCloseGU] [-e e_set] [-P paramfile] [-nsp pairs]

DESCRIPTION
RNApaln Uses string-alignment techniques to perform fast pairwise structural alignments of RNAs. Similar to RNApdist secondary structure is incorporated in an approximate manner by computing base pair probabilities, which are then reduced to a vector holding the probability that a base is paired upstream, downstream, or remains unpaired. Such pair propsensity vectors can then be compared using standard alignment algorithms. In contrast to RNApdist, RNApaln performs similarity (instead of distance) alignments, considers both sequence and structure information, and uses affine (rather than linear) gap costs. RNApaln can perform semi-local alignments by using free end gaps, a true local alignment mode is planned. The same approach has since been used in the StraL program from Gerhard Steeger's group. Since StraL has optimized parameters and a multiple alignment mode, it be be currently the better option.

OPTIONS

-Xp compare the structures pairwise (p), that is first with 2nd, third with 4th etc. This is the default.

-Xm calculate the distance matrix between all structures. The output is formatted as a lower triangle matrix.

-Xf compare each structure to the first one.

-Xc compare continuously, that is i-th with (i+1)th structure.

-B [<file>]
    Print an "alignment" with gaps of the profiles, using the following symbols:
    ( ) essentially upstream (downstream) paired bases
    { } weakly upstream (downstream) paired bases
     | strongly paired bases without preference
     , weakly paired bases without preference
     . essentially unpaired bases.
    The aligned structures are written to <file>, if specified. Otherwise output is written to stdout, unless the -Xm option is set in which case "backtrack.file" is used.

--gapo open
    Set the gap open penalty to open --gape ext Set the gap extension penalty to ext --seqw w Set the weight of sequence (compared to structure) in the scoring function. --endgaps Use free end-gaps.

The -T, -d, -4, -noGU, -noCloseGU, -e, -P, -nsp, options work as in RNAfold.

REFERENCES
Bonhoeffer S, McCaskill J S, Stadler P F, Schuster P, (1993) RNA multi-structure landscapes, Euro Biophys J:22,13-24

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHORS
Peter F Stadler, Ivo L Hofacker, Sebastian Bonhoeffer.

BUGS
We hoped you wouldn't find them.
Comments should be sent to rna@tbi.univie.ac.at